aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-23 13:27:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-23 13:27:17 +0000
commitace07d15fe1d63e1629a422dbffff6b66cbce7c9 (patch)
treefcb4e88f4551edc968bb4d2b0719ade677d25324
parent2a8f1eedc2b5f3bc19c1163b773a51df02ea81cc (diff)
downloadaports-ace07d15fe1d63e1629a422dbffff6b66cbce7c9.tar.gz
aports-ace07d15fe1d63e1629a422dbffff6b66cbce7c9.tar.bz2
aports-ace07d15fe1d63e1629a422dbffff6b66cbce7c9.tar.xz
main/libresample: new apkbuild
real-time library for sampling rate conversion https://ccrma.stanford.edu/~jos/resample/Free_Resampling_Software.html Does not provide any shared .so and asterisk is the only app that uses it so far so let it stay static for now.
-rw-r--r--main/libresample/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/main/libresample/APKBUILD b/main/libresample/APKBUILD
new file mode 100644
index 0000000000..f45036781c
--- /dev/null
+++ b/main/libresample/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor:
+# Maintainer:
+pkgname=libresample
+pkgver=0.1.3
+pkgrel=0
+pkgdesc="real-time library for sampling rate conversion"
+url="https://ccrma.stanford.edu/~jos/resample/Free_Resampling_Software.html"
+license="GPL"
+depends=
+makedepends="wget"
+install=
+subpackages=
+source="https://ccrma.stanford.edu/~jos/gz/libresample-$pkgver.tgz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -d "$pkgdir"/usr/include "$pkgdir"/usr/lib
+ install -m644 include/libresample.h "$pkgdir"/usr/include/
+ install -m644 libresample.a "$pkgdir"/usr/lib/
+
+}
+
+md5sums="99bc5ea15ef76b83e5655a10968f674b libresample-0.1.3.tgz"